> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1773965358.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel OCO order



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/order/oco-cancel
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/order/oco-cancel:
    post:
      tags:
        - Collateral Trading
      summary: Cancel OCO order
      description: |
        The endpoint cancels an OCO order.

        <Warning>
        Rate limit: 10000 requests/10 sec.
        </Warning>
      operationId: cancelOcoOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - market
                - orderId
                - request
                - nonce
              properties:
                market:
                  type: string
                  example: BTC_USDT
                orderId:
                  type: integer
                  example: 117703764514
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
            example:
              market: BTC_USDT
              orderId: 117703764514
              request: '{{request}}'
              nonce: '{{nonce}}'
      responses:
        '200':
          description: Successful response - OCO order cancelled
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: OCO order identifier
                    example: 117703764513
                  stop_loss:
                    type: object
                    description: Cancelled stop loss order details
                    properties:
                      orderId:
                        type: integer
                        description: Order identifier
                        example: 117703764514
                      clientOrderId:
                        type: string
                        description: Custom order identifier. Empty string if not specified
                        example: ''
                      market:
                        type: string
                        description: Market name
                        example: BTC_USDT
                      side:
                        type: string
                        description: Order side
                        enum:
                          - buy
                          - sell
                        example: buy
                      type:
                        type: string
                        description: Order type
                        example: stop limit
                      timestamp:
                        type: number
                        description: Timestamp of order creation
                        example: 1594605801.49815
                      dealMoney:
                        type: string
                        description: Executed amount in money
                        example: '0'
                      dealStock:
                        type: string
                        description: Executed amount in stock
                        example: '0'
                      amount:
                        type: string
                        description: Order amount
                        example: '2.241379'
                      takerFee:
                        type: string
                        description: Taker fee ratio
                        example: '0.001'
                      makerFee:
                        type: string
                        description: Maker fee ratio
                        example: '0.001'
                      left:
                        type: string
                        description: Unexecuted amount in stock
                        example: '2.241379'
                      dealFee:
                        type: string
                        description: Executed fee by deal
                        example: '0'
                      post_only:
                        type: boolean
                        description: Post-only flag
                        example: false
                      mtime:
                        type: number
                        description: Timestamp of order modification
                        example: 1662478154.941582
                      price:
                        type: string
                        description: Order price
                        example: '19928.79'
                      activation_price:
                        type: string
                        description: Activation price
                        example: '29928.79'
                      activation_condition:
                        type: string
                        description: Activation condition
                        enum:
                          - gte
                          - lte
                        example: gte
                      activated:
                        type: integer
                        description: Activation status (0 - not activated, 1 - activated)
                        example: 0
                      status:
                        type: string
                        description: Order status
                        example: CANCELED
                      stp:
                        type: string
                        description: Self trade prevention mode
                        example: 'no'
                  take_profit:
                    type: object
                    description: Cancelled take profit order details
                    properties:
                      orderId:
                        type: integer
                        description: Order identifier
                        example: 117703764515
                      clientOrderId:
                        type: string
                        description: Custom order identifier. Empty string if not specified
                        example: ''
                      market:
                        type: string
                        description: Market name
                        example: BTC_USDT
                      side:
                        type: string
                        description: Order side
                        enum:
                          - buy
                          - sell
                        example: buy
                      type:
                        type: string
                        description: Order type
                        example: limit
                      timestamp:
                        type: number
                        description: Timestamp of order creation
                        example: 1662478154.941582
                      dealMoney:
                        type: string
                        description: Executed amount in money
                        example: '0'
                      dealStock:
                        type: string
                        description: Executed amount in stock
                        example: '0'
                      amount:
                        type: string
                        description: Order amount
                        example: '0.635709'
                      left:
                        type: string
                        description: Unexecuted amount in stock
                        example: '0.635709'
                      dealFee:
                        type: string
                        description: Executed fee by deal
                        example: '0'
                      post_only:
                        type: boolean
                        description: Post-only flag
                        example: false
                      mtime:
                        type: number
                        description: Timestamp of order modification
                        example: 1662478154.941582
                      price:
                        type: string
                        description: Order price
                        example: '9928.79'
                      status:
                        type: string
                        description: Order status
                        example: CANCELED
                      stp:
                        type: string
                        description: Self trade prevention mode
                        example: 'no'
              example:
                id: 117703764513
                stop_loss:
                  orderId: 117703764514
                  clientOrderId: ''
                  market: BTC_USDT
                  side: buy
                  type: stop limit
                  timestamp: 1594605801.49815
                  dealMoney: '0'
                  dealStock: '0'
                  amount: '2.241379'
                  takerFee: '0.001'
                  makerFee: '0.001'
                  left: '2.241379'
                  dealFee: '0'
                  post_only: false
                  mtime: 1662478154.941582
                  price: '19928.79'
                  activation_price: '29928.79'
                  activation_condition: gte
                  activated: 0
                  status: CANCELED
                  stp: 'no'
                take_profit:
                  orderId: 117703764515
                  clientOrderId: ''
                  market: BTC_USDT
                  side: buy
                  type: limit
                  timestamp: 1662478154.941582
                  dealMoney: '0'
                  dealStock: '0'
                  amount: '0.635709'
                  left: '0.635709'
                  dealFee: '0'
                  post_only: false
                  mtime: 1662478154.941582
                  price: '9928.79'
                  status: CANCELED
                  stp: 'no'
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````